﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;
using Wisej.Web;

namespace ThumbnailControl
{
	[ToolboxItem(true)]
	public class ThumbnailBox : Control
	{
		
		public ThumbnailBox()
		{
			this.Appear += ThumbnailBox_Appear;
		}

		private void ThumbnailBox_Appear(object sender, System.EventArgs e)
		{
			this.Eval($@"
                debugger;
                var widget = Wisej.Core.getComponent('id_{this.Control.Handle}');
                var thumbnailEl = wisej.utils.Widget.makeThumbnail(widget, {{width:{this.Width},height:{this.Height}}}, 'fit');
                this.getContentElement().getDomElement().appendChild(thumbnailEl);
            ");
		}

		[Browsable(false)]
		[DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)]
		public Control Control { get; set; }

	}
}